<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'loan',

    /*
     * Modules.
     */
    'modules'   => ['loan'],

    
    'loan'       => [
        'model' => [
            'model'                 => \Litecms\Loan\Models\Loan::class,
            'table'                 => 'loans',
            'presenter'             => \Litecms\Loan\Repositories\Presenter\LoanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['amount',  'return',  'description',  'loan_duration',  'loan_duration_type',  'status'],
            'translatables'         => [],
            'upload_folder'         => 'loan/loan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Loan',
            'module'    => 'Loan',
        ],

    ],
];
