<?php

namespace Litecms\Loan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LoanTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Loan\Models\Loan $loan)
    {
        return [
            'id'                => $loan->getRouteKey(),
            'key'               => [
                'public'    => $loan->getPublicKey(),
                'route'     => $loan->getRouteKey(),
            ], 
            'amount'            => $loan->amount,
            'return'            => $loan->return,
            'description'       => $loan->description,
            'loan_duration'     => $loan->loan_duration,
            'loan_duration_type' => $loan->loan_duration_type,
            'status'            => $loan->status,
            'url'               => [
                'public'    => trans_url('loan/'.$loan->getPublicKey()),
                'user'      => guard_url('loan/loan/'.$loan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$loan->status),
            'created_at'        => format_date($loan->created_at),
            'updated_at'        => format_date($loan->updated_at),
        ];
    }
}